document.addEventListener("DOMContentLoaded", function(event) {
  /*
      =================
         MOBILE MENU
      =================
  */
  var menucall = document.getElementById("call-mobile-menu");
  var mainmenu = document.getElementById("main-menu");

  menucall.addEventListener("click", function (e) {
      menucall.classList.toggle("menu-on-l");
      mainmenu.classList.toggle("menu-on-l");
  });

  mainmenu.addEventListener("click", function (e) {
      menucall.classList.toggle("menu-on-l");
      mainmenu.classList.toggle("menu-on-l");
  });
});  // END of EventListener "DOMContentLoaded"


/********************
 *Refresh display after form has been posted
********************/
//wait for Dom to be ready
window.addEventListener('DOMContentLoaded', (event) => {
  console.log("dom ready");
  const allAppForms = document.querySelectorAll("sib-form");
  //listen for forms to load
  allAppForms.forEach(AppForm => {
    //wait for the form to populate
    AppForm.addEventListener("populate", (e) => { 
      //listen for a form submit
      AppForm.addEventListener("submit", (e)=>{
        //when there's a submit than update the display with same src
        refreshSolidDisplaySrc(AppForm);
      });
    }); 
  });
});


/*
Refresh datasrc
*/
function refreshSolidDisplaySrc(form,displayId) {
  //get source of the form
  let formSrc = form.dataset.src;
  //break it into URL in order to only select domain & uri for later on
  const formSrcUrl = new URL(formSrc);
  formPath = formSrcUrl.pathname;
  //if theres a display informed, than update that display's src right away
  if (typeof display !== 'undefined' ) {
    //select the datasrc value
    displaySource = document.querySelector(displayId).dataset.src;
    //make a URL of it
    const displaySourceUrl = new URL(displaySource);
    //refresh the source with reconstructed URL to + cache break
    displayId.dataset.src = displaySourceUrl.origin + displaySourceUrl.pathname + "?" + Math.random();
  }
  else{
    //select each display
    let sibDisplays = document.querySelectorAll("sib-display");
    //for each display get its data src
    sibDisplays.forEach(sibDisplay => {
      let sibDisplaySrc = sibDisplay.dataset.src;
      //if no display src, do nothing
      if(!sibDisplaySrc){
      }
      else{
        //if there's a URL, check if it matches the form src
        const displaySrcUrl = new URL(sibDisplaySrc);
        sibDisplayPath = displaySrcUrl.pathname;
        if (sibDisplayPath == formPath){
          //if it does, refresh it
          sibDisplay.dataset.src = formSrc + "?" + Math.random() ;
        }
      }
    });
  }        
}